Subject: Re: [PATCH] wfx: use container_of() to get vif

From: Kalle Valo <[email-masked]>
Date: Wed, 04 May 2022 19:05:57 +0300

Dan Carpenter <[email-masked]> writes:

> On Wed, May 04, 2022 at 01:50:59PM +0200, Stefano Brivio wrote:
>> And that it's *obvious* that container_of() would trigger warnings
>> otherwise. Well, obvious just for me, it seems.
>
> :P
>
> Apparently it wasn't obvious to Kalle and me.  My guess is that you saw
> the build error.  Either that or Kalle and I are geezers who haven't
> looked at container_of() since before the BUILD_BUG_ON() was added five
> years ago.

Exactly, I also had to duplicate the error myself before I was able to
understand the issue. So I'm officially a geezer now :D

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches